name: CI

on:
  push:
    tags-ignore:
    - 'v*'
    branches:
    - "master"
  pull_request:
  workflow_call:
    secrets:
      GITLEAKS_LICENSE_KEY:
        required: true

jobs:
  ci:
    uses: smallstep/workflows/.github/workflows/goCI.yml@main
    with:
      run-gitleaks: true
      run-codeql: true
    secrets:
      GITLEAKS_LICENSE_KEY: ${{ secrets.GITLEAKS_LICENSE_KEY }}
